/*
                      Endeavour Data Types
 */

#ifndef EDVTYPES_H
#define EDVTYPES_H

#include <glib.h>

#ifndef gbool
# define gbool	gboolean
#endif


/*
 *	Permission flags:
 */
#define EDV_PERMISSION_UEXECUTE		(1 << 0)
#define EDV_PERMISSION_UREAD		(1 << 1)
#define EDV_PERMISSION_UWRITE		(1 << 2)

#define EDV_PERMISSION_GEXECUTE		(1 << 3)
#define EDV_PERMISSION_GREAD		(1 << 4)
#define EDV_PERMISSION_GWRITE		(1 << 5)

#define EDV_PERMISSION_AEXECUTE         (1 << 6)
#define EDV_PERMISSION_AREAD            (1 << 7)
#define EDV_PERMISSION_AWRITE           (1 << 8)

#define EDV_PERMISSION_SETUID		(1 << 9)
#define EDV_PERMISSION_SETGID		(1 << 10)
#define EDV_PERMISSION_STICKY		(1 << 11)


/*
 *      Delete methods.
 */
#define EDV_DELETE_METHOD_MOVE_TO_RECBIN	0
#define EDV_DELETE_METHOD_PURGE			1


/*
 *	Color structure:
 */
typedef struct {

	gfloat r, g, b, a;	/* 0.0 to 1.0 */

} edv_color_struct;

/*
 *	int list structure:
 */
typedef struct {

	gint *i;
	gint total;

} edv_intlist_struct;


#endif	/* EDVTYPES_H */
