#include <unistd.h>
#include <gtk/gtk.h>
#include "progressdialog.h"

#include "images/pdi_file01_20x20.xpm"
#include "images/pdi_file02_20x20.xpm"
#include "images/pdi_file03_20x20.xpm"
#include "images/pdi_file04_20x20.xpm"
#include "images/pdi_file05_20x20.xpm"
#include "images/pdi_file06_20x20.xpm"

#include "images/pdi_mail01_20x20.xpm"
#include "images/pdi_mail02_20x20.xpm"
#include "images/pdi_mail03_20x20.xpm"
#include "images/pdi_mail04_20x20.xpm"
#include "images/pdi_mail05_20x20.xpm"
#include "images/pdi_mail06_20x20.xpm"

#include "images/pdi_folder_32x32.xpm"
#include "images/pdi_folderfile_32x32.xpm"
#include "images/pdi_package_32x32.xpm"
#include "images/pdi_packagefile_32x32.xpm"
#include "images/pdi_mailbagfull_32x32.xpm"
#include "images/pdi_mailbox_32x32.xpm"
#include "images/pdi_mailboxfull_32x32.xpm"
#include "images/icon_trash_32x32.xpm"
#include "images/icon_trash_empty_32x32.xpm"

#include "images/pdi_trash01_20x20.xpm"
#include "images/pdi_trash02_20x20.xpm"
#include "images/pdi_trash03_20x20.xpm"
#include "images/pdi_trash04_20x20.xpm"
#include "images/pdi_trash05_20x20.xpm"
#include "images/pdi_trash06_20x20.xpm"


int main(int argc, char *argv[])
{
	gbool standard = FALSE;
	gdouble progress = 0.0;
        u_int8_t	**start_icon_data[3],
			**icon_data[6],
			**end_icon_data[3];


	if(argc >= 2)
	    standard = TRUE;

	gtk_init(&argc, &argv);

	ProgressDialogInit();

        start_icon_data[0] = (u_int8_t **)pdi_mailbagfull_32x32_xpm;
        start_icon_data[1] = (u_int8_t **)pdi_mailbagfull_32x32_xpm;
        start_icon_data[2] = (u_int8_t **)pdi_mailbagfull_32x32_xpm;
/*
	start_icon_data[0] = (u_int8_t **)pdi_packagefile_32x32_xpm;
        start_icon_data[1] = (u_int8_t **)pdi_package_32x32_xpm;
        start_icon_data[2] = (u_int8_t **)pdi_package_32x32_xpm;
 */

/*
        icon_data[0] = (u_int8_t **)pdi_file01_20x20_xpm;
        icon_data[1] = (u_int8_t **)pdi_file02_20x20_xpm;
        icon_data[2] = (u_int8_t **)pdi_file03_20x20_xpm;
        icon_data[3] = (u_int8_t **)pdi_file04_20x20_xpm;
        icon_data[4] = (u_int8_t **)pdi_file05_20x20_xpm;
        icon_data[5] = (u_int8_t **)pdi_file06_20x20_xpm;

        icon_data[0] = (u_int8_t **)pdi_trash01_20x20_xpm;
        icon_data[1] = (u_int8_t **)pdi_trash02_20x20_xpm;
        icon_data[2] = (u_int8_t **)pdi_trash03_20x20_xpm;
        icon_data[3] = (u_int8_t **)pdi_trash04_20x20_xpm;
        icon_data[4] = (u_int8_t **)pdi_trash05_20x20_xpm;
        icon_data[5] = (u_int8_t **)pdi_trash06_20x20_xpm;
 */
        icon_data[0] = (u_int8_t **)pdi_mail01_20x20_xpm;
        icon_data[1] = (u_int8_t **)pdi_mail02_20x20_xpm;
        icon_data[2] = (u_int8_t **)pdi_mail03_20x20_xpm;
        icon_data[3] = (u_int8_t **)pdi_mail04_20x20_xpm;
        icon_data[4] = (u_int8_t **)pdi_mail05_20x20_xpm;
        icon_data[5] = (u_int8_t **)pdi_mail06_20x20_xpm;

        end_icon_data[0] = (u_int8_t **)pdi_mailbox_32x32_xpm;
        end_icon_data[1] = (u_int8_t **)pdi_mailbox_32x32_xpm;
        end_icon_data[2] = (u_int8_t **)pdi_mailboxfull_32x32_xpm;
/*
        end_icon_data[0] = (u_int8_t **)pdi_folder_32x32_xpm;
        end_icon_data[1] = (u_int8_t **)pdi_folder_32x32_xpm;
	end_icon_data[2] = (u_int8_t **)pdi_folderfile_32x32_xpm;

        end_icon_data[0] = (u_int8_t **)NULL;
        end_icon_data[1] = (u_int8_t **)NULL;
        end_icon_data[2] = (u_int8_t **)NULL;
 */

if(standard)
	ProgressDialogMap(
	    "Test", "Test",
	    (const u_int8_t **)pdi_folderfile_32x32_xpm,
	    "Stop"
	);
else
	ProgressDialogMapAnimation(
	    "Test",
	    "Test",
	    "Stop",
	    start_icon_data, 3,
	    icon_data, 6,
	    end_icon_data, 3,
	    500,
	    10000
	);

	while(1)
	{
	    if(ProgressDialogStopCount() > 0)
	    {
		ProgressDialogBreakQuery(TRUE);
		break;
	    }

	    if(gtk_events_pending() > 0)
		gtk_main_iteration();


	    progress += 0.005;
	    if(progress > 1.0)
		progress = 0.0;

	    ProgressDialogUpdate(
		NULL, NULL, NULL, NULL, progress,
		20, TRUE
	    );
/*
	    ProgressDialogUpdateUnknown(
		NULL, NULL, NULL, NULL,
		TRUE
	    );
 */
usleep(20000);
	}

	ProgressDialogShutdown();

	return(0);
}
