/*
                             Endeavour Run Dialog
 */

#ifndef RUNDLG_H
#define RUNDLG_H


#include <gtk/gtk.h>

#include "edvtypes.h"


/*
 *	Run dialog structure:
 */
typedef struct {

	gbool initialized;
	gbool map_state;
        gint busy_count;

	gpointer core_ptr;

	GtkAccelGroup *accelgrp;

	GtkWidget	*toplevel,
			*main_vbox,
			*run_combo, *browse_btn, *clear_btn,
			*working_dir_entry, *working_dir_browse_btn,
				*working_dir_clear_btn,
				*working_dir_get_from_cmd_btn,
			*run_in_terminal_check, *keep_dialog_check,
			*run_btn, *cancel_btn;

} edv_run_dlg_struct;


/* In rundlg.c */
extern void EDVRunDlgFetchValues(
	edv_run_dlg_struct *dlg
);

extern edv_run_dlg_struct *EDVRunDlgNew(
	gpointer core_ptr
);
extern void EDVRunDlgMap(
        edv_run_dlg_struct *dlg
);
extern void EDVRunDlgUnmap(
        edv_run_dlg_struct *dlg
);
extern void EDVRunDlgDelete(
	edv_run_dlg_struct *dlg
);


#endif	/* RUNDLG_H */
